DIRS= AddSignCades CounterSign GetCadesAttributes \
      GetCadesCountersignatureAttributes LowlevelEnhanceCadesBes \
      LowlevelSignCades LowlevelSignCadesBes LowlevelSignCadesStream \
      LowlevelSignDetachedCades LowlevelVerifyCades LowlevelVerifyCadesBes \
      SimplifiedEnhanceCadesBes SimplifiedSignCades SimplifiedSignCadesBes \
      SimplifiedVerifyCades SimplifiedVerifyCadesBes VerifyCountersign \
      SimplifiedSignHashCades SimplifiedVerifyHashCades SimplifiedSignVerifyXadesBes

all: 
	for d in $(DIRS); do ( cd $$d; $(MAKE) -f Makefile.unix ) || fail=yes; done;\
	test -z "$$fail"
clean: 
	for d in $(DIRS); do ( cd $$d; $(MAKE) -f Makefile.unix clean); done
